[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

pinning a package in backports

As far as I can see, the backports repository is checked by default and I don't need to add anything in auto/config.
I'm struggling with pinning the 1.8 version of Git present in wheezy-backports.

This is the error:

The following packages have unmet dependencies:
 git : Depends: git-man (> 1: but 1: is to be installed
E: Unable to correct problems, you have held broken packages.

My config/apt/preferences contains these lines:

Package: git git-*
Pin: release a=wheezy-backports
Pin-Priority: 999

The same occurs if I add in auto/config:
--backports true \

but I think that this option is redundant, since I see that apt donwloads the indexes from wheezy-backports.

Thanks in advance

Reply to: